# Fetch Release Tasks

Fetch a paginated list of tasks from Manual Activities for a release with cursor-based pagination and optional status filtering.

Endpoint: GET /rmg/api/release/{releaseId}/tasks
Version: 1.0
Security: x-api-key

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Query parameters:

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

  - `cursor` (string)
    Cursor Based Pagination

  - `limit` (number)
    The number of records expected

  - `status` (array)
    Filter tasks by status (TODO, IN_PROGRESS, SUCCEEDED, FAILED, BLOCKED)
    Enum: "TODO", "IN_PROGRESS", "SUCCEEDED", "FAILED", "BLOCKED"

## Path parameters:

  - `releaseId` (string, required)
    Release ID

## Response 200 fields (application/json):

  - `tasks` (array, required)
    List of tasks from manual activities.

  - `tasks.identifier` (string, required)
    Unique identifier of the task

  - `tasks.name` (string, required)
    Name of the task

  - `tasks.description` (string)
    Description of the task

  - `tasks.status` (string, required)
    Current status of the execution task
    Enum: "TODO", "IN_PROGRESS", "SUCCEEDED", "FAILED", "BLOCKED"

  - `tasks.required` (any, required)
    Flexible type that accepts either a boolean or a string

  - `tasks.userGroups` (any, required)
    Flexible type that accepts either a single string or an array of strings for user references

  - `tasks.expectedDuration` (string, required)
    Expected duration for the task (e.g., "1d 12h")

  - `tasks.actualDuration` (string)
    Actual duration taken for the task (e.g., "7h")

  - `tasks.createdAt` (integer)
    Unix timestamp when the task was created

  - `tasks.lastUpdatedAt` (integer)
    Unix timestamp when the task was last updated

  - `tasks.taskExecutionId` (string)
    ID of the task execution

  - `tasks.failureInfo` (object)
    Information about a failure that occurred

  - `tasks.failureInfo.msg` (string, required)
    The failure message describing what went wrong

  - `tasks.failureInfo.code` (string)
    The failure code indicating the type of failure

  - `nextRequest` (object, required)

  - `nextRequest.cursor` (string)

  - `nextRequest.limit` (integer)

  - `last` (boolean, required)
    Whether this is the last page of results

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


